%ifos darwin
%define __defattr %defattr(-,root,wheel)
%else
%define __defattr %defattr(-,root,root)
%endif

%{expand: %%global _includedir %{_includedir}/gdbm}

Summary: A GNU set of database routines which use extensible hashing.
Name: gdbm
Version: 1.8.0
Release: 10a
Source: ftp://prep.ai.mit.edu/pub/gnu/gdbm-%{version}.tar.gz
Patch0: gdbm-1.8.0-jbj.patch
Patch1: gdbm-1.8.0-fhs.patch
Patch2: gdbm-1.8.0-cflags.patch
License: GPL
Group: System Environment/Libraries
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Gdbm is a GNU database indexing library, including routines which use
extensible hashing.  Gdbm works in a similar way to standard UNIX dbm
routines.  Gdbm is useful for developers who write C applications and
need access to a simple and efficient database or who are building C
applications which will use such a database.

If you're a C developer and your programs need access to simple
database routines, you should install gdbm.  You'll also need to
install gdbm-devel.

%package devel
Summary: Development libraries and header files for the gdbm library.
Group: Development/Libraries
Requires: gdbm = %{version}
Prereq: %{_sbindir}/install-info

%description devel
Gdbm-devel contains the development libraries and header files for
gdbm, the GNU database system.  These libraries and header files are
necessary if you plan to do development using the gdbm database.

Install gdbm-devel if you are developing C programs which will use the
gdbm database library.  You'll also need to install the gdbm package.

%prep
%setup -q
%patch0 -p 1 -b .jbj
%patch1 -p 1 -b .fhs
%patch2 -p 1 -b .cflags

%build
%ifos darwin
cp /usr/share/libtool/{config.*,lt*} .
%endif
%ifnos darwin
aclocal
autoheader
autoconf
%endif
%configure
make

%install
rm -rf ${RPM_BUILD_ROOT}

%makeinstall install-compat

pushd $RPM_BUILD_ROOT
ln -sf gdbm/gdbm.h .%{_includedir}/../gdbm.h
%ifnos darwin
ln -sf libgdbm.so.2.0.0 .%{_libdir}/libgdbm.so
%else
gzip $RPM_BUILD_ROOT%{_infodir}/*.info
pushd .%{_libdir}
mv libgdbm.la libgdbm.la.ORIG
sed -e 's;/usr/lib;/usr/local/lib;' libgdbm.la.ORIG > libgdbm.la
rm libgdbm.la.ORIG
%endif

%ifnos darwin
%post -p %{_sbindir}/ldconfig

%postun -p %{_sbindir}/ldconfig
%endif

%post devel
%{_sbindir}/install-info %{_infodir}/gdbm.info.gz %{_infodir}/dir --entry="* gdbm: (gdbm).                   The GNU Database."

%preun devel
if [ $1 = 0 ]; then
   %{_sbindir}/install-info --delete %{_infodir}/gdbm.info.gz %{_infodir}/dir --entry="* gdbm: (gdbm).                   The GNU Database."
fi

%files
%{__defattr}
%doc COPYING NEWS README
%ifnos darwin
%{_libdir}/libgdbm.so.*
%else
%{_libdir}/libgdbm.dylib
%endif

%files devel
%{__defattr}
%ifnos darwin
%{_libdir}/libgdbm.so
%endif
%{_libdir}/libgdbm.la
%{_libdir}/libgdbm.a
%{_includedir}/../gdbm.h
%{_includedir}
%{_infodir}/*.info*
%{_mandir}/man3/*

%clean
rm -rf ${RPM_BUILD_ROOT}

%changelog
* Fri Jul 20 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st build on MacOS X

* Mon Jun 25 2001 Nalin Dahyabhai <nalin@redhat.com>
- s/Copyright:/License:/g
- include text docs in binary package

* Tue Jun 12 2001 Than Ngo <than@redhat.com>
- fix to build against new libtool

* Mon Mar 19 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Make it respect RPM_OPT_FLAGS/CFLAGS - #32242. 
  Patch from dan@D00M.cmc.msu.ru

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun  5 2000 Jeff Johnson <jbj@redhat.com>
- FHS packaging.

* Mon Feb  7 2000 Bill Nottingham <notting@redhat.com>
- handle compressed manpages

* Tue Aug 10 1999 Jeff Johnson <jbj@redhat.com>
- make sure created database header is initialized (#4457).

* Tue Jun  1 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.8.0.
- repackage to include /usr/include/gdbm/*dbm.h compatibility includes.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 19)

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build against glibc 2.1

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- gdbm-devel moved to Development/Libraries

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- buildroot and built for Manhattan

* Tue Oct 14 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups

* Thu Jun 12 1997 Erik Troan <ewt@redhat.com>
- built against glibc
